package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcWage;

/**
 * 员工工资Mapper接口
 * 
 * @author cmc
 * @date 2024-09-19
 */
public interface CmcWageMapper 
{
    /**
     * 查询员工工资
     * 
     * @param wageId 员工工资主键
     * @return 员工工资
     */
    public CmcWage selectCmcWageByWageId(Integer wageId);

    /**
     * 查询员工工资列表
     * 
     * @param cmcWage 员工工资
     * @return 员工工资集合
     */
    public List<CmcWage> selectCmcWageList(CmcWage cmcWage);

    /**
     * 新增员工工资
     * 
     * @param cmcWage 员工工资
     * @return 结果
     */
    public int insertCmcWage(CmcWage cmcWage);

    /**
     * 修改员工工资
     * 
     * @param cmcWage 员工工资
     * @return 结果
     */
    public int updateCmcWage(CmcWage cmcWage);

    /**
     * 删除员工工资
     * 
     * @param wageId 员工工资主键
     * @return 结果
     */
    public int deleteCmcWageByWageId(Integer wageId);

    /**
     * 批量删除员工工资
     * 
     * @param wageIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcWageByWageIds(Integer[] wageIds);

    /**
     * 批量删除员工工资
     *
     * @param performanceIds 需要删除的员工工资主键集合
     * @return 结果
     */
    public int deleteCmcWageByPerformanceIds(String[] performanceIds);

}
